recod_MR<-c(
		"fors"=1,
		"solonc"=1,
		"ens"=1,
		"aprés"=1,
		"sor"=1,
		"si"=1,
		"sans"=1,
		"avec"=1,
		"quand"=1,
		"devant"=1,
		"entre"=1,
		"selon"=1,
		"parmi"=1,
		"qui"=1,
		"saf"=1,
		"comme"=1,
		"dedans"=1,
		"delés"=1,
		"envers"=1,
		"desos"=1,
		"encontre"=1,
		"o"=1,
		"où"=1,
		"porques"=1,
		"ultre"=1,
		"a"=1,
		"en"=1,
		"que"=1,
		"par"=1,
		"por"=1,
		"de"=1,
		"se"=1,
		"achous"=1,   "contre"=1,   "defors"=1,   "delà"=1,
		"derier"=1,   "dés"=1,      "desor"=1,    "devers"=1,   "don"=1,      "entor"=1,
		"jus"=1,      "jusque"=1,   "paroisse"=1, "prés"=1,     "puis"=1,     "{rature}"=1,
		"saint"=1,    "sos"=1,      "sour"=1,     "sus"=1,      "vers"=1,
		"ou"=1,				"dont"=1,			"quel"=1, 		"combien" = 1, 'hors'=1,
		"deci"=1, "adés"=1
		)

recod_MN<-c(
		"a"=0,
		"v"=0,
		"n"=0,
		"i"=0,
		"np"=0,
		"ch"=0,
		"nm"=0,
		# personnelles
		"parataxe"="pers",
		"incidente"="pers",
		# non personnelles
		"inf"="¬pers",
		"ppt"="¬pers",
		"ppé"="¬pers"
		)

recod_PP<-c(
		# plérétopes
		"|"=0,
		"_"=0,
		"'"=0,
		# ponctogrammes
		"·"=1,
		";"=1,
		":"=1,
		"?"=1,
		"/"=1,
		"¶"=1,
		"!"=1,
		"··"=1,
		"//"=1,
		"--"=1,
		"·/"=1,
		"·¶·"=1
		)


recod_PH<-c(
		"e"=1,     
		"l"=1,     
		"c"=1,     
		"a"=1,     
		"n"=1,     
		"j"=1,     
		"s"=1,     
		"[et]"=1,  
		"d"=1,     
		"r"=1,     
		"p"=1,     
		"g"=1,     
		"m"=1,     
		"t"=1,     
		"h"=1,     
		"q"=1,     
		"f"=1,     
		"w"=1,     
		"b"=1,     
		"k"=1,     
		"o"=1,     
		"$"=1,
		"y"=1,
		"v"=1,
		"£"=1,
		"cc"=1,
		"i"=1
)



recod_MF<-c(
	"Pp"="Rl",
	"Sb"="Rl",
	"base"="Ap",
	"syntagme"="Ap"
)

recod_MI<-c(
 "incidente"= "pers",
 "incidente-arg"= "pers-arg",
 "inf"= "¬pers"       ,  
 "inf-arg"="¬pers-arg",
 "parataxe"= "pers"    ,
 "parataxe-arg"= "pers-arg",
 "ppé"="¬pers"          ,
 "ppé-arg"="¬pers-arg"   ,   
 "ppt"="¬pers"          ,
 "ppt-arg"="¬pers-arg"      ,
 "^phrase"="¬phrase"
)



tr<-recod(
	tb,
	car=list(
		PPD=recod_PP,
		PPF=recod_PP,
		MR=recod_MR,
		PHD=recod_PH,
		PHF=recod_PH,
		MN=recod_MN,
		MF=recod_MF,
		MI=recod_MI
	)
)

tb<-carmerge(tb, c("RB","RI"), "INDEX");
tr<-carmerge(tr, c("RB","RI"), "INDEX");

tb<-merge(tr, tb[,c("PPD","PPF","MR","MS","PHD","PHF","MN","INDEX")], by="INDEX", suf=c("","o"))

levels(tb[,"MS"])<-ifelse(levels(tr[,"MS"])=="",0,1)



#vim: encoding=utf-8 fileencoding=utf-8
