#!/usr/bin/perl -w
# Copyright (c) 2005 Universit de Lige, Nicolas Mazziotta
# $Id: Export.pm 189 2006-02-27 15:20:18Z mzi $
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.

use strict;

package XML::Khartes::Export;

BEGIN {
  use XML::Khartes::IO;
  our @ISA = qw/XML::Khartes::IO/;
  our @EXPORT= qw/export/;
}

# mthode d'exportation des fichiers Khartes
# renvoie un string. Est appell par XML::Khartes

*XML::Khartes::export = *XML::Khartes::to;
*XML::Khartes::Corpus::export = *XML::Khartes::Corpus::to;

sub XML::Khartes::to {
  # $options is a hashref
  my ($o, $method, $options) = @_;
  $method = "TEI" unless $method;
  return $o->convert($method, "Export", $options);
}

sub XML::Khartes::Corpus::to {
  my ($o, $method, $options) = @_;
  $method = "TEI" unless $method;
  return $o->convert($method, "Export", $options);
}

1;


