#!/usr/bin/perl -w
# Copyright (c) 2005-6 Universit de Lige, Nicolas Mazziotta
# $Id: Import.pm 267 2006-06-01 22:07:11Z mzi $
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.

package XML::Khartes::Import;

BEGIN {
  use XML::Khartes::IO;
  our @ISA = qw/Exporter XML::Khartes::IO/;
  our @EXPORT= qw/from/;
}

# mthode d'exportation des fichiers Khartes
# renvoie un string. Est appell par XML::Khartes

sub XML::Khartes::from {
  my ($o, $method) = @_;
  $method = "TEI" unless $method;
  return $o->convert($method, "Import");
}

sub XML::Khartes::Corpus::from {
  my ($o, $method) = @_;
  $method = "TEI" unless $method;
  return $o->convert($method, "Import");
}
1;
