# Charge les données
#-----------------------------------------------------------------------------------#
avis("Chargeons les données")
#-----------------------------------------------------------------------------------#

# Les lignes dupliquées sont éliminées
tb<-unique(read.table("data/corpus", quote="",colC=c("factor"), head=T, sep="@"))

# références
tb[,"RBc"]<-paste("\\citeyear{",tb[,"RB"],"}", sep="")
bib<-read.table("data/bib")
rownames(bib)<-bib[,2]
tb[,"RB"]<-bib[as.character(tb[,"RB"]),1]
rm(bib)

# construction et formatage de colonnes 
tb<-tb[!(tb[,"MF"] %in% c("P","N")) & tb[,"MI"]!="texte",]
attach(tb)
tb[(MI=="synt"|MI=="synt-arg") & MF=="P0","MF"]<-"Ap"
detach()

# Nature et fonction des intégrants
tb[,"MIN"]<-gsub("(.*)(-.*)","\\1",tb[,"MI"])
tb[,"MIF"]<-gsub("(.*)(-(.*))","\\3",tb[,"MI"])
tb[,"MIF"]<-ifelse(tb[,"MIF"]=="arg","arg","imm")
tb[,"MIF"]<-ifelse(tb[,"MIN"]=="phrase","txt",tb[,"MIF"])

#vim: encoding=utf-8 fileencoding=utf-8
